from typing import Any
from typing import List

from cardy.deck import Card
from cardy.deck import Pile


class Player(object):
    def __init__(self, name: str):
        self.name = name
        self._hand: List[Card] = []

    def draw_cards(self, pile: Pile, num_cards: int = 1):
        self._hand += pile.draw_cards(num_cards)

    def take_turn(self) -> Any:
        raise NotImplementedError()

    def __repr__(self) -> str:
        return f"<Player name={self.name}>"
